aboutsummaryrefslogtreecommitdiff
path: root/sysutils/munin-node/pkg-install
diff options
context:
space:
mode:
authorMathieu Arnold <mat@FreeBSD.org>2004-03-02 15:54:05 +0000
committerMathieu Arnold <mat@FreeBSD.org>2004-03-02 15:54:05 +0000
commit9623c63f0ceb22bcaac7eedaacf76751ecc5c9ec (patch)
tree1133db3e951192306eec5389e71b876a82b46538 /sysutils/munin-node/pkg-install
parent4e96c16014996a5ecdb5bddca7805028b08cb425 (diff)
Notes
Diffstat (limited to 'sysutils/munin-node/pkg-install')
-rw-r--r--sysutils/munin-node/pkg-install88
1 files changed, 88 insertions, 0 deletions
diff --git a/sysutils/munin-node/pkg-install b/sysutils/munin-node/pkg-install
new file mode 100644
index 000000000000..09c169bf6b14
--- /dev/null
+++ b/sysutils/munin-node/pkg-install
@@ -0,0 +1,88 @@
+#! /bin/sh
+#
+# $Log: pkg-install,v $
+# Revision 1.2 2004/02/06 18:49:58 lupe
+# Fixes for pkg_add compatibility.
+#
+#
+
+ask() {
+ local question default answer
+
+ question=$1
+ default=$2
+ if [ -z "${PACKAGE_BUILDING}" ]; then
+ read -p "${question} [${default}]? " answer
+ fi
+ if [ x${answer} = x ]; then
+ answer=${default}
+ fi
+ echo ${answer}
+}
+
+yesno() {
+ local dflt question answer
+
+ question=$1
+ dflt=$2
+ while :; do
+ answer=$(ask "${question}" "${dflt}")
+ case "${answer}" in
+ [Yy]*) return 0;;
+ [Nn]*) return 1;;
+ esac
+ echo "Please answer yes or no."
+ done
+}
+
+make_group() {
+ local g
+
+ g=$1
+
+ if pw group show "${g}" >/dev/null 2>&1; then
+ echo "You already have a group \"${g}\", so I will use it."
+ else
+ echo "You need a group \"${g}\"."
+ if which -s pw && yesno "Would you like me to create it" y; then
+ pw groupadd ${g} || exit
+ echo "Done."
+ else
+ echo "Please create it, and try again."
+ if ! grep -q "^${u}:" /etc/passwd; then
+ echo "While you're at it, please create a user \"${u}\" too,"
+ echo "with a default group of \"${g}\"."
+ fi
+ exit 1
+ fi
+ fi
+}
+
+init_plugins() {
+ if [ -f ${PKG_PREFIX}/etc/munin/VERSION.node ]; then
+ prevver=$(cat ${PKG_PREFIX}/etc/munin/VERSION.node)
+ fi
+
+ mkdir -p ${PKG_PREFIX}/etc/munin/plugins ${PKG_PREFIX}/var/munin/plugin-state
+
+ if [ -n "$prevver" ]; then
+ echo -n "Initializing new plugins.."
+ ${PKG_PREFIX}/sbin/munin-node-configure --shell --newer "${prevver%-*}" | sh -x
+ else
+ echo -n "Initializing plugins.."
+ ${PKG_PREFIX}/sbin/munin-node-configure --shell | sh -x
+ fi
+ echo "done."
+}
+
+
+########################################################################
+
+case $2 in
+ PRE-INSTALL)
+ make_group munin
+ ;;
+ POST-INSTALL)
+ init_plugins
+ ;;
+esac